``role::web_server``
====================

This role implements a simple web server which simply exports directories under
certain URLs.


Parameters
----------

``directories``
~~~~~~~~~~~~~~~

A hash whose keys are the (relative) URLs under which to export the directories.
The values of the hash are the directories that should be made available.


Examples
--------

The following configuration exports ``/usr/share/doc`` as
``$FQDN/documentation`` and ``/usr/share/man`` as ``$FQDN/manpages``::

  web_server::directories:
    '/documentation': '/usr/share/doc'
    '/manpages': '/usr/share/man'
